#pragma once
#include "server.hpp"
#include <memory>
#include <nlohmann/json.hpp>

namespace simple_object_storage {

class UpdateHandler {
public:
    explicit UpdateHandler(Server& server);
    void handle_update_object(const drogon::HttpRequestPtr& req, std::function<void(const drogon::HttpResponsePtr &)>&& callback);
private:
    Server& server_;
};

} // namespace simple_object_storage 